package com.uvigo.mhp;

import com.uvigo.mhp.ui.*;
import java.awt.*;

public class QuestionGroupContainer extends HPanel
{
    private Container c;
    
    public QuestionGroupContainer()
    {
        setLayout(new GridLayout(0,1));
        c=this;
    }
    
    public Container getQuestionsContainer()
    {
        return c;
    }
    
    public void setQuestionsContainer(Container c)
    {
        // hay que mover las preguntas desde el contenedor actual hasta el nuevo!!!
        
        Container old=this.c;
        this.c=c;
        firePropertyChange("optionsContainer", old, c);
    }
}
